<script setup lang="ts">
import type { Product } from '@/types/Product'

import { useProductStore } from '@/stores/product'
import { computed, ref, type Ref } from 'vue'
import { useReceiptStore } from '@/stores/receipt'

const receiptStore = useReceiptStore()
const form = ref(false)

const getTypeOptions = ['H', 'C', 'F']
const allowedTypes = computed(() => {
  if (receiptStore.editedReceiptItem.product !== undefined) {
    console.log(receiptStore.editedReceiptItem.product)

    const type = receiptStore.editedReceiptItem.product?.type
    const currentType = type
    // ตรวจสอบว่า currentType เป็น string และไม่ใช่ string ว่าง
    const selectedTypes =
      typeof currentType === 'string' && currentType.length > 0
        ? Array.from(currentType)
        : [currentType.charAt(0)] // หรือค่าตั้งต้นที่คุณต้องการ

    // ทำให้ค่าเริ่มต้นเป็นอักษรตัวแรกของ currentType ทั้งหมด
    return selectedTypes.length > 0 ? selectedTypes : getTypeOptions
  }
  return ['5555']
})
</script>

<template>
  <v-dialog v-model="receiptStore.dialog" persistent width="400">
    <v-card>
      <v-card-title>
        <span class="text-h5">Item Detail</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refform" v-model="form">
          <v-container>
            <v-row>
              <v-col cols="12" style="font-size: 40px; text-align: center; padding: 0">
                {{ receiptStore.editedReceiptItem.name }}
              </v-col>
              <v-col cols="12" sm="12" style="padding: 0">
                <v-combobox
                  label="Type"
                  :items="allowedTypes"
                  v-model="receiptStore.editedReceiptItem.type"
                ></v-combobox>
              </v-col>
              <v-col cols="12" sm="12" style="padding: 0">
                <v-combobox
                  label="Size"
                  :items="['S', 'M', 'L']"
                  v-model="receiptStore.editedReceiptItem.gsize"
                ></v-combobox>
              </v-col>
              <v-col cols="12" sm="12" style="padding: 0">
                <v-combobox
                  label="Sweet Level"
                  :items="['100%', '75%', '50%', '25%', '0%']"
                  v-model="receiptStore.editedReceiptItem.sweet_level"
                ></v-combobox>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="receiptStore.closeDialogItem()">
          Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="receiptStore.selected()"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
